Sets the approval status of the specified banner to one of: NEW, PENDING, APPROVED, or REJECTED.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/banner/{bannerId}/approvalstatus.do
Sets the approval status of the specified banner to one of: NEW, PENDING, APPROVED, or REJECTED. When the status changes to APPROVED or REJECTED, notification events are sent to all users who have a share on the banner's advertiser. If the banner already has the requested status, the operation is a no-op and returns a message. Requires the BANNERS_APPROVAL permission.
Path Params
bannerIdintegerrequired
ID of the banner to change approval status for
3001
Form Params
statusstringrequired
New approval status: NEW, PENDING, APPROVED, or REJECTED
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/banner/3001/approvalstatus.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
request.Content = new FormUrlEncodedContent(new Dictionary<string, string> { ["status"] = "APPROVED" });
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());